Мой компьютер (Macbook Air) не позволит мне обновиться до последней версии pip [duplicate]

Chantel Spriggs спросил: 13 июня 2018 в 05:20 в: python

У этого вопроса уже есть ответ:

    How do I update a Python package? 9 ответов

так что мой компьютер не позволяет мне обновляться до последней версии pip, которая разочаровывает.

put pip --version сообщает мне, что моя последняя версия 6.1.1, в то время как последняя версия - 10.

pip --update give me 'Usage:   
  pip <command> [options]no such option: --update'

Любая помощь будет так оценена! Cheers!

Изменить: я думаю, моя основная проблема заключается в попытке использовать sudo pip install --upgrade pip, который он мне дает:

Каталог / Users / chantel / Library / Logs / pip 'или его родительский каталог не принадлежит текущему пользователю, и журнал отладки отключен. Проверьте разрешения и владельца этого каталога. Если вы выполняете pip с помощью sudo, вы можете захотеть флаг sudo -H. Каталог / Users / chantel / Library / Caches / pip / http или его родительский каталог не принадлежит текущему пользователю, и кеш отключен. Проверьте разрешения и владельца этого каталога. Если вы выполняете pip с помощью sudo, вы можете захотеть флаг sudo -H. Каталог / Users / chantel / Library / Caches / pip / http или его родительский каталог не принадлежит текущему пользователю, и кеш отключен. Проверьте разрешения и владельца этого каталога. Если вы выполняете команду с помощью sudo, вы можете захотеть флаг sudo -H.Requirement уже обновлен: pip в /Library/Python/2.7/site-packages

Edit 2: Исправлен, обновлен компьютер!

1 ответ

User12345 ответил: 13 июня 2018 в 05:26

Вы можете сделать это ниже

sudo pip install --upgrade pip

или

sudo pip install -U pip 

Если вы используете Anaconda, тогда сделайте как ниже

conda update pip
Chantel Spriggs ответил: 13 июня 2018 в 07:28
Я думал, что слишком, но потом я получаю каталог "/ Users / chantel / Library / Logs / pip" или его родительский каталог не принадлежит текущему пользователю, и журнал отладки отключен. Проверьте разрешения и владельца этого каталога. Если вы используете pud с sudo, вам может понадобиться флаг sudo -H. (1/2)
Chantel Spriggs ответил: 13 июня 2018 в 07:30
Требование уже обновлено: pip в /Library/Python/2.7/site-packages (2/2) Когда я использую pip -version, он все еще показывает 6.1.1. Это похоже на то, что я не владею каталогом, хотя я Единственный пользователь.

Дополнительное видео по вопросу: Мой компьютер (Macbook Air) не позволит мне обновиться до последней версии pip [duplicate]

Installing TensorFlow, Keras, and Python in Mac